#!/usr/bin/make -f

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant jars
	ant javadocs

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ant test -Djava.awt.headless=true
endif

get-orig-source:
	svn export https://github.com/Starlink/starjava/trunk/util starjava-util ; \
	wget -nv https://github.com/Starlink/starjava/raw/master/LICENSE.txt -P starjava-util ; \
	VERSION=`xmllint --xpath '//project/property[@name="version"]/@value' starjava-util/build.xml | cut -d\" -f2| tr - .` ; \
	DATE=`stat -c %y starjava-util/src/main/uk/ac/starlink/util/*.java | cut -c-10 | sort|uniq|tail -1| tr - . | tr -d +`; \
	rm -f starjava-util/src/lib/*.jar ; \
	tar cf starjava-util_$$VERSION+$$DATE.orig.tar starjava-util ; \
	rm -rf starjava-util ; \
	xz starjava-util_$$VERSION+$$DATE.orig.tar
